<?php
/********************************************************************************
 * (c)1337 aheadware.com - All rights reserved
 ********************************************************************************/

// General
Francis_Utils_Config::set( 'url.client', 'https://appbeta.probuddy.de' );

// DB settings
Francis_Utils_Config::set( 'db.tbcore.host', 'v034011.kasserver.com' );
Francis_Utils_Config::set( 'db.tbcore.name', 'd02ca258' );          // probudy core
Francis_Utils_Config::set( 'db.tbcore.user', 'd02ca258' );
Francis_Utils_Config::set( 'db.tbcore.pass', 'XXXXXXXXXXXX' );

Francis_Utils_Config::set( 'db.tbteamdata.host', 'v034011.kasserver.com' );
Francis_Utils_Config::set( 'db.tbteamdata.name', 'd02ca25a' );
Francis_Utils_Config::set( 'db.tbteamdata.user', 'd02ca25a' );
Francis_Utils_Config::set( 'db.tbteamdata.pass', 'XXXXXXXXXXXX' );

Francis_Utils_Config::set( 'path.logfile', '/www/htdocs/v034011/_logs/probuddy/pbserver-beta-log.txt' );
Francis_Utils_Config::set( 'path.cron_logfile', '/www/htdocs/v034011/_logs/probuddy/pbserver-beta-cron-log.txt' );
Francis_Utils_Config::set( 'path.backup_folder', '/www/htdocs/v034011/_backup/probuddybeta' );
Francis_Utils_Config::set( 'path.root', realpath( dirname( __FILE__ ) . '/../../..' ) );
Francis_Core_Autoloader::attachLocator( new Francis_Core_Locator( 'TB', Francis_Utils_Config::get( 'path.root' ) . '/server' ) );
Francis_Utils_Config::set( 'path.server.controller', Francis_Utils_Config::get( 'path.root' ) . '/server/server/control' );
Francis_Utils_Config::set( 'path.templates', Francis_Utils_Config::get( 'path.root' ) . '/server/server/template' );

// OneSignal
Francis_Utils_Config::set( 'onesignal.appId', "2fd170bb-2e73-4c1d-9fe9-f8a4dffd061f" );
Francis_Utils_Config::set( 'onesignal.restApiKey', "NDJkMzI0YmYtODBmYi00YmM1LWEzZDYtYTRkZDRlZTczZDY4" );

// Slack Log
Francis_Utils_Config::set( 'slack.logWebhook', "https://hooks.slack.com/services/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" );

// Google analytics
Francis_Utils_Config::set( 'analytics.trackingId', 'UA-139730172-1' );

// Going live
Francis_Utils_Config::set( 'environment', 'BETA' );
